# CANCEL PUSHOVER EMERGENCY NOTIFICATIONS
#
# by jaydeel at ipcamtalk.com
# https://ipcamtalk.com/threads/send-pushover-notifications-with-pictures-and-hyperlinks.58819/post-722979
#
# REF: https://pushover.net/api/receipts#cancel_by_tag
#   To cancel retries for all messages with a given tag, submit a POST request to:
#   https://api.pushover.net/1/receipts/cancel_by_tag/(your tag).json
#   Along with your POST request, include your application's API token as the token parameter. 
#   All active emergency-priority messages with the given tag will be canceled.

#Set-StrictMode  -Version 3

# MUST BE THE FIRST LINE IN A SCRIPT
param($p1)

# ================================================
# USER SETTINGS...

# ENTER PUSHOVER API APPLICATION TOKEN
# ... TIP: consider adding a 'PowerShell' App to your https://pushover.net/ account
$po_token = "YOUR_API_APPLICATION_TOKEN"

# ===============================================

Write-Host "==========================================================="
Write-Host "Pushover Emergency Notification Cancel Utility"
Write-Host "-----------------------------------------------------------"

if ($p1) {
	$tag = $p1
	$uri = 'https://api.pushover.net/1/receipts/cancel_by_tag/' + $tag + '.json'
	Write-Host "tag = '$tag'"
	Write-Host "uri = '$uri'"
	$parameters = @{
		token = $script:po_token
	}
	#$parameters | Invoke-RestMethod -Uri $uri -Method Post | Out-Null
	$parameters | Invoke-RestMethod -Uri $uri -Method Post
} else {
	Write-Host "Argument missing - Please provide a Pushover cancel tag, like 'a=test'"	
}

Write-Host ""


